> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualiza as coordenadas do ponto de partida da area de cobertura



## OpenAPI

````yaml https://logistic-ms.supergasbras.app/swagger/v1/swagger.json put /v1/dealers/{dealerId}/coverage-areas/{coverageAreaId}/starting-point
openapi: 3.0.1
info:
  title: CTech Logistic 1.0
  description: Service responsible for handling logistic
  version: '1.0'
servers: []
security:
  - Bearer: []
tags:
  - name: CoverageAreas
    description: Area de cobertura
  - name: DealerCoverageAreas
    description: Area de cobertura do Dealer
  - name: Infrastructure
    description: Infraestrutura
paths:
  /v1/dealers/{dealerId}/coverage-areas/{coverageAreaId}/starting-point:
    put:
      tags:
        - DealerCoverageAreas
      summary: Atualiza as coordenadas do ponto de partida da area de cobertura
      parameters:
        - name: dealerId
          in: path
          description: Identificador do dealer
          required: true
          schema:
            type: string
            format: uuid
        - name: coverageAreaId
          in: path
          description: Identificador da area de cobertura
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Dados de atualização
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCoverageAreaStartingPointCommand'
      responses:
        '204':
          description: No Content
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
components:
  schemas:
    UpdateCoverageAreaStartingPointCommand:
      type: object
      properties:
        coverageAreaId:
          type: string
          description: Identificador da area de cobertura
          format: uuid
          example: de571341-28ea-48bb-8dcb-e32372db8606
        dealerId:
          type: string
          description: Identificador do Dealer
          format: uuid
          example: cbe566b9-035a-41f7-b000-10fc87c46e1a
        startingPoint:
          $ref: '#/components/schemas/StartingPointCoordinates'
      additionalProperties: false
    IErrorDataResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorData'
          nullable: true
          readOnly: true
      additionalProperties: false
    StartingPointCoordinates:
      type: object
      properties:
        longitude:
          type: number
          description: Longitude da coordenada
          format: double
          example: -46.70076
        latitude:
          type: number
          description: Latitude da coordenada
          format: double
          example: -23.568064
      additionalProperties: false
    ErrorData:
      type: object
      properties:
        code:
          type: string
          nullable: true
        target:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````